OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ConsoleContentCallback Struct Reference

Asynchronous callback. More...

Inheritance diagram for ConsoleContentCallback:

## Public Member Functions
void | OnConnect (bool success)
| Callback for when the connection has finished.
void | OnDisconnect ()
| Callback for when the connection got disconnected.
void | OnDownloadComplete (ContentID cid)
| We have finished downloading a file.
Public Member Functions inherited from ContentCallback
virtual void | OnReceiveContentInfo (const ContentInfo *ci)
| We received a content info.
virtual void | OnDownloadProgress (const ContentInfo *ci, int bytes)
| We have progress in the download of a file.
virtual | ~ContentCallback ()
| Silentium.

## Detailed Description

Asynchronous callback.

Definition at line 1697 of file console_cmds.cpp.

## Member Function Documentation

void ConsoleContentCallback::OnConnect | ( | bool | success | ) |
| inline virtual

Callback for when the connection has finished.

Parameters

  success | whether the connection was made or that we failed to make it

Reimplemented from ContentCallback.

Definition at line 1698 of file console_cmds.cpp.

References CC_DEFAULT, and IConsolePrintF().

void ConsoleContentCallback::OnDownloadComplete | ( | ContentID | cid | ) |
| inline virtual

We have finished downloading a file.

Parameters

  cid | the ContentID of the downloaded file

Reimplemented from ContentCallback.

Definition at line 1708 of file console_cmds.cpp.

References CC_DEFAULT, and IConsolePrintF().

The documentation for this struct was generated from the following file:

- src/console_cmds.cpp